/*
i-net software provides programming examples for illustration only, without warranty
either expressed or implied, including, but not limited to, the implied warranties
of merchantability and/or fitness for a particular purpose. This programming example
assumes that you are familiar with the programming language being demonstrated and
the tools used to create and debug procedures. i-net software support professionals
can help explain the functionality of a particular procedure, but they will not modify
these examples to provide added functionality or construct procedures to meet your
specific needs.
© i-net software 1998-2021
*/
package com.inet.cowork.gptbot;

import com.inet.classloader.I18nMessages;
import com.inet.config.structure.provider.ConfigStructureProvider;
import com.inet.cowork.api.commands.CoWorkCommandHandler;
import com.inet.cowork.api.commands.CoWorkCommandProvider;
import com.inet.cowork.gptbot.structure.CoWorkGPTBotStructureProvider;
import com.inet.plugin.PluginInfo;
import com.inet.plugin.ServerPlugin;
import com.inet.plugin.ServerPluginManager;

/**
 * Server plugin to register the extension
 */
@PluginInfo( //
id = "cowork.gptbot", //
group = "samples", //
dependencies = "cowork", //
version = ServerPlugin.CORE_VERSION, //
icon = "com/inet/cowork/gptbot/cowork_openai_48.png" //
)
public class CoWorkGPTBotServerPlugin implements ServerPlugin {
    public static final I18nMessages MSG = new I18nMessages( "com.inet.cowork.gptbot.structure.i18n.ConfigStructure",CoWorkGPTBotServerPlugin.class );

    /**
     * {@inheritDoc}
     */
    @Override
    public void registerExtension( ServerPluginManager spm ) {
        CoWorkGPTBotCommand command = new CoWorkGPTBotCommand();
        spm.register( CoWorkCommandHandler.class, command);
        spm.register( CoWorkCommandProvider.class, command);

        spm.register( ConfigStructureProvider.class, new CoWorkGPTBotStructureProvider() );
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void init( ServerPluginManager spm ) {
        // nothing
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void reset() {
        // nothing
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void restart() {
        // nothing
    }
}
