﻿/*
 i-net software provides programming examples for illustration only, without warranty
 either expressed or implied, including, but not limited to, the implied warranties
 of merchantability and/or fitness for a particular purpose. This programming example
 assumes that you are familiar with the programming language being demonstrated and
 the tools used to create and debug procedures. i-net software support professionals
 can help explain the functionality of a particular procedure, but they will not modify
 these examples to provide added functionality or construct procedures to meet your
 specific needs.
  
 © i-net software 1998-2013

*/
using System.Collections.Generic;
using System.Drawing;

using Inet.Viewer.Data;

namespace Inet.Viewer.WinForms.Export
{
    /// <summary>
    /// Settings panel for Excel export.
    /// </summary>
    public class ExcelSettingsControl : ExcelODSSettingsControl
    {
        /// <inheritdoc />
        public override Bitmap Icon { get { return FormatResource.xls_48; } }

        /// <inheritdoc />
        public override string Label { get { return "Excel"; } }

        /// <inheritdoc />
        public override string FileSuffix { get { return "xls"; } }

        /// <inheritdoc />
        public override void CollectExportParameters(Dictionary<string, string> exportParams)
        {
            base.CollectExportParameters(exportParams);
            exportParams[URLRenderData.ParameterExportFmt] = ReportInfo.FormatXLS;
        }
    }
}
